TSHTTPTXNISWEBSOCKET(3ts)

NAME
TSHttpTxnIsWebsocket - test whether a request is attempting to initiate Websocket connection

SYNOPSIS

            #include <ts/ts.h>

    int TSHttpTxnIsWebsocket(TSHttpTxn txnp)

DESCRIPTION

TSHttpTxnIsWebsocket() tests whether the transaction is a WebSocket upgrade request.

RETURN VALUES

A non-zero value is returned if the relevant header value is found.

SEE ALSO

TSAPI(3ts)

COPYRIGHT
2026, dev@trafficserver.apache.org